[arch-commits] Commit in python-whoosh/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Wed Jul 13 00:23:48 UTC 2016


    Date: Wednesday, July 13, 2016 @ 00:23:47
  Author: felixonmars
Revision: 182814

archrelease: copy trunk to community-any

Added:
  python-whoosh/repos/community-any/PKGBUILD
    (from rev 182813, python-whoosh/trunk/PKGBUILD)
Deleted:
  python-whoosh/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  106 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 53 insertions(+), 53 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2016-07-13 00:23:31 UTC (rev 182813)
+++ PKGBUILD	2016-07-13 00:23:47 UTC (rev 182814)
@@ -1,53 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Samuel Littley <aur at toastwaffle.com>
-# Contributor: rnons <remotenonsense at gmail dot com>
-
-pkgbase=python-whoosh
-pkgname=(python-whoosh python2-whoosh)
-pkgver=2.7.0
-pkgrel=1
-pkgdesc="Fast, pure-Python full text indexing, search, and spell checking library"
-arch=('any')
-url="http://bitbucket.org/mchaput/whoosh/wiki/Home"
-license=("BSD")
-makedepends=('python-setuptools' 'python2-setuptools' 'mercurial')
-checkdepends=('python-pytest-runner' 'python2-pytest-runner')
-source=("hg+https://bitbucket.org/mchaput/whoosh#tag=$pkgver")
-md5sums=('SKIP')
-
-prepare() {
-  cp -a whoosh{,-py2}
-}
-
-build() {
-  cd "$srcdir/whoosh"
-  python setup.py build
-
-  cd "$srcdir/whoosh-py2"
-  python2 setup.py build
-}
-
-check() {
-  cd "$srcdir/whoosh"
-  python setup.py ptr || warning "Tests failed"
-
-  cd "$srcdir/whoosh-py2"
-  python2 setup.py ptr || warning "Tests failed"
-}
-
-package_python-whoosh() {
-  depends=('python')
-
-  cd "${srcdir}/whoosh"
-  python setup.py install -O1 --root="${pkgdir}"
-  install -D -m644 LICENSE.txt "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE.txt"
-}
-
-package_python2-whoosh() {
-  depends=('python2')
-
-  cd "${srcdir}/whoosh-py2"
-  python2 setup.py install -O1 --root="${pkgdir}"
-  install -D -m644 LICENSE.txt "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE.txt"
-}

Copied: python-whoosh/repos/community-any/PKGBUILD (from rev 182813, python-whoosh/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2016-07-13 00:23:47 UTC (rev 182814)
@@ -0,0 +1,53 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Samuel Littley <aur at toastwaffle.com>
+# Contributor: rnons <remotenonsense at gmail dot com>
+
+pkgbase=python-whoosh
+pkgname=(python-whoosh python2-whoosh)
+pkgver=2.7.4
+pkgrel=1
+pkgdesc="Fast, pure-Python full text indexing, search, and spell checking library"
+arch=('any')
+url="http://bitbucket.org/mchaput/whoosh/wiki/Home"
+license=("BSD")
+makedepends=('python-setuptools' 'python2-setuptools' 'mercurial')
+checkdepends=('python-pytest-runner' 'python2-pytest-runner')
+source=("hg+https://bitbucket.org/mchaput/whoosh#tag=$pkgver")
+md5sums=('SKIP')
+
+prepare() {
+  cp -a whoosh{,-py2}
+}
+
+build() {
+  cd "$srcdir"/whoosh
+  python setup.py build
+
+  cd "$srcdir"/whoosh-py2
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir"/whoosh
+  python setup.py ptr
+
+  cd "$srcdir"/whoosh-py2
+  python2 setup.py ptr || warning "Tests failed"
+}
+
+package_python-whoosh() {
+  depends=('python')
+
+  cd whoosh
+  python setup.py install -O1 --root="$pkgdir"
+  install -D -m644 LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.txt
+}
+
+package_python2-whoosh() {
+  depends=('python2')
+
+  cd whoosh-py2
+  python2 setup.py install -O1 --root="$pkgdir"
+  install -D -m644 LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.txt
+}



More information about the arch-commits mailing list